# oppik-scraper

Jednoduchý nástroj v jazyce `python` pro stahování informací o dotačních programech
z webového portálu www.agentura-api.org.
Nástroj automatizovaně projde strukturu portálu, najde stránku dotační výzvy
a danou stránku strojově zpracuje do strukturovaného formátu.
Sthují se pouze aktuálně otevřené výzvy.
Výstup programu zapisuje do JSON souboru.  

Příklad strukturovaného formátu:  
```python
{  
    "titul": "Technologie – Výzva IX",  
    "stav": "Otevřená výzva",  
    "Vyhlášení výzvy:": "10. 12. 2018",  
    "Zahájení příjmu:": "11. 3. 2019",  
    "Ukončení příjmu:": "13. 6. 2019",  
    "popis": "Cílem IX. Výzvy programu Technologie je podpora růstu a posilování konkurenceschopnosti malých podniků",  
    ...  
  }  
```

Využívá framework Scrapy (www.scrapy.org). Pro správnou funkci programu je nutné
mít nainstalované scrapy. Pro identifikování jednotlivých html elementů se používá jazyk [XPath](https://en.wikipedia.org/wiki/XPath)

Scraper se spustí příkazem:  
`scrapy crawl agentura-api -o output.json`