# -*- coding: utf-8 -*-
from scrapy.spiders import CrawlSpider, Rule
from scrapy.linkextractors import LinkExtractor


class risySpider(CrawlSpider):
    name = "risy"

    allowed_domains = ["risy.cz"]

    start_urls = [
        "https://www.risy.cz/cs/vyhledavace/mistni-akcni-skupiny?search=&support=&village=&region=",
    ]

    rules = [
        Rule(LinkExtractor(restrict_xpaths='//li[@class="next"]', attrs='href'), callback='parse_page', follow=True),
    ]

    def parse_start_url(self, response):
        return self.parse_page(response)

    def parse_page(self, response):
        print(response.url)
        for record in response.xpath('//div[@class="local-articles-section row"]/div'):
            mas = record.xpath('.//h2//text()').get()
            obce = record.xpath(
                ".//p[contains(text(),'Členské obce')]/ancestor::div[1]/following-sibling::div/p/strong//text()"
            ).get()
            yield {'mas': mas, 'obce': obce}


    def t_strip(self, s):
        text = s.replace('\n', '').replace('\t', '').replace('\r', '')
        text = text.strip()
        return text
